<ion-header translucent *ngIf="!client">
  <ion-toolbar>
    <ion-title>Buscar cliente</ion-title>
  </ion-toolbar>
  <ion-toolbar>
    <ion-searchbar placeholder="Buscar" (keyup)="search($event)"></ion-searchbar>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen *ngIf="!client">
  <ion-list>
    <ion-item (click)="selectClient(client)" *ngFor="let client of clients">{{ client.longname }}</ion-item>
  </ion-list>
</ion-content>

<ion-header *ngIf="client">
  <ion-toolbar>
    <ion-title>Crear entrega</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content *ngIf="client"> 
  <form (ngSubmit)="save()">
    <ion-item>
      <ion-label>Cliente: {{ client.longname }}</ion-label>
    </ion-item>
    <ion-item>
      <ion-label>Producto</ion-label>
      <ion-select [(ngModel)]="product_id" name="product_id" interface="popover">
        <ion-select-option *ngFor="let product of products" value="{{ product.id }}">{{ product.name }}</ion-select-option>
      </ion-select>
      <ion-button color="success" (click)="addProduct()"><ion-icon name="add-outline"></ion-icon></ion-button>
    </ion-item>
    <ion-list>
      <ion-list-header>Productos agregados</ion-list-header>
        <ion-item>
          <ion-label>Nombre y precio</ion-label>
          <ion-label>Ingresa cantidad</ion-label>
        </ion-item>
        <ion-item *ngFor="let product of delivery.products">          
          <ion-label>{{ product.name }} - {{ config.formatPrice(product.price) }}</ion-label>
          
            <ion-input slot="end" type="number" value="{{ (product.quantity ? product.quantity : 0) }}" (focusout)="checkStock($event, product)"></ion-input>            
          <ion-icon slot="end" name="trash-outline" (click)="delete(product)"></ion-icon>
        </ion-item><br>
        <ion-item>
          <ion-label>Total aproximando</ion-label>
          <ion-note slot="end" color="primary">{{ config.formatPrice(total) }}</ion-note>
        </ion-item>
        <ion-item>
          <ion-checkbox color="dark" slot="start" [(ngModel)]="isCredit" name="isCredit"></ion-checkbox>
          <ion-label>A crédito</ion-label>
        </ion-item>
        <ion-item *ngIf="isCredit">
          <ion-label position="floating">Pago inicial</ion-label>
          <ion-input type="number" [(ngModel)]="delivery.initial_payment" name="initial_payment"></ion-input>
        </ion-item>
        <ion-item>
          <ion-label position="floating">Ingresa el total de la entrega</ion-label>
          <ion-input type="number" [(ngModel)]="delivery.total" name="total"></ion-input>          
        </ion-item>
    </ion-list>
    <ion-button size="small" expand="block" [disabled]="(delivery.total == 0)" type="submit">Guardar</ion-button>
  </form>
</ion-content>
